Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSMultiValueFacet

All Superinterfaces:
  XSObject

    public interface XSMultiValueFacet

extends XSObject

Describes a multi-value constraining facets: pattern and enumeration.

Method Summary
`XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
`short` | `getFacetKind()` The name of the facet, i.e.
`StringList` | `getLexicalFacetValues()` Values of this facet.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getFacetKind

    short getFacetKind()

  The name of the facet, i.e. `FACET_ENUMERATION` and `FACET_PATTERN` (see `XSSimpleTypeDefinition`).

### getLexicalFacetValues

    StringList getLexicalFacetValues()

  Values of this facet.

### getAnnotations

    XSObjectList getAnnotations()

  A sequence of [annotations] or an empty `XSObjectList`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.